Subject: Re: [PATCH 3/5] ci: make test slicing consistent across Meson/Make

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 11 Feb 2026 07:33:03 +0100

On Tue, Feb 10, 2026 at 05:54:01PM -0500, Jeff King wrote:
> On Tue, Feb 10, 2026 at 02:15:13PM -0800, Junio C Hamano wrote:
> 
> > > diff --git a/.github/workflows/main.yml b/.github/workflows/main.yml
> > > index 2b175dc5c6..1b7a16e1f1 100644
> > > --- a/.github/workflows/main.yml
> > > +++ b/.github/workflows/main.yml
> > > @@ -298,7 +298,7 @@ jobs:
> > >          path: build
> > >      - name: Test
> > >        shell: pwsh
> > > -      run: ci/run-test-slice-meson.sh build ${{matrix.nr}} 10
> > > +      run: ci/run-test-slice-meson.sh build ${{matrix.nr + 1}} 10
> > >      - name: print test failures
> > >        if: failure() && env.FAILED_TEST_ARTIFACTS != ''
> > >        shell: bash
> > 
> > Have we successfully run this one?

I haven't kicked off a GitHub workflow for this patch series. Guess I
should've done that. I've created https://github.com/git/git/pull/2195
now to give v2 a test run first.

> > I am getting
> > 
> > Invalid workflow file: .github/workflows/main.yml#L1
> > (Line: 153, Col: 12): Unexpected symbol: '+'. Located at position 11
> > within expression: matrix.nr + 1, (Line: 301, Col: 12): Unexpected
> > symbol: '+'. Located at position 11 within expression: matrix.nr + 1
> > 
> > https://github.com/orgs/community/discussions/25386 is a 6-year old
> > discussion so things may have changed quite a lot, but at least back
> > then the claim was
> > 
> >     Github actions doesn’t support math operations in expressions
> >     inside ${{ }}. You could add up these two numbers in bash script and
> >     then use set-env command to give its value to an environment
> >     variable ...
> > 
> > though.
> 
> Right, that's why we used pwsh syntax to do it before, in d3d6493dcf
> (ci: use Meson's new `--slice` option, 2025-07-09).
> 
> That went away in 17bd1108ea (ci(windows-meson-test): handle options and
> output like other test jobs, 2025-11-18), because the "+1" was added
> into the script itself there. It looks like the patch under discussion
> removes the +1 from the script, so we'd need to go back to the pwsh
> syntax.

Indeed, will fix. Thanks!

Patrick